<?php
require_once("global.php");
header("Content-Type:application/json");
$device = $_REQUEST["device"];
$point = $_REQUEST["point"];
$index = $_REQUEST["index"];
$type = $_REQUEST["type"];


$errCode = 0;
$errText = "";

if ($device!=null){

	$doc = new DOMDocument();
	$doc -> load(Common::$CONFIG_PATH);

	$xpath = new DOMXPath($doc);
	$query = "/System/BACnetModbusMapping/" .strtoupper($type) ."/Item[@Device='". $device ."'][@Point='". $point ."'][@Index='". $index ."']";
	$itemList = $xpath -> query($query);
	
	if ($itemList -> length > 0){
		
		foreach ($itemList as $item){
			$typeName = $item -> getAttribute("Type");
			
			if (strcmp($type, $typeName)==0){
				continue;
			}
						
			$errCode = 1;
			$errText = "The Point \"" .$point ."\" Index \"".$index."\" of Device \"".$device."\" is in use at type \"". $typeName ."\" !";
			break;
		}
	}
}
$result = array("errCode" => $errCode, "errText" => $errText);
echo json_encode($result);
?>

