<?php
require_once("global.php");

// Using XPath Parser XML
$doc = new DOMDocument();
$doc -> load(Common::$CONFIG_PATH);
$xpath = new DOMXPath($doc);
$port = $_REQUEST["Port"];
if($port == NULL || (strcmp($port,'COM1')==0))
{
	$query = "//System/Ports/Port[@ID='COM1']";
}else
{
	$query = "//System/Ports/Port[@ID='COM2']";
}
$nodeList = $xpath -> query($query);
$element = null;
$portElement = null;

$element = $nodeList -> item(0);
$port = $element -> getAttribute("ID");
$mode = $element -> getAttribute("Mode");
$baudRate = $element -> getAttribute("BaudRate");
$dataBit = $element -> getAttribute("DataBit");
$parity = $element -> getAttribute("Parity");
$stopBit = $element -> getAttribute("StopBit");
$flowControl = $element -> getAttribute("FlowControl");
?>
<link rel="stylesheet" type="text/css" href="../css/container.css" />
<link rel="stylesheet" type="text/css" href="../css/button.css" />
<script type="text/javascript" src="../js/genutility.js"></script>

<script type="text/javascript">
//ajax variable
var COMhttp;

function COMReboot()
{
	COMhttp= GetXmlHttpObject();
	var url="page.files/systemreboot.php";
	COMhttp.open("GET",url,true);
	document.getElementById("Reboot_Comm").disabled = true;
	COMhttp.send(null);
}

function ChangePort(str)
{
	 var link = "index.php?Page=comport&Port=" + str;
	 window.location = link;
}
function SaveCOMCallback()
{
    if (COMhttp.readyState==4)
    {
    	document.getElementById("Save").disabled = false;
    	document.getElementById("Save").blur();
        if (COMhttp.responseText !="")
        {
            alert(COMhttp.responseText);
        }
    }
}

function SaveCOM()
{
	
	document.getElementById("Save").disabled = true;
	COMhttp=GetXmlHttpObject();
	if (COMhttp==null)
	{
	  alert ("Your browser does not support AJAX!");
	  return;
	}
	
	var url="./page.files/comsettingsaving.php";
	
	COMhttp.onreadystatechange=SaveCOMCallback;
	
	COMhttp.open("POST",url,true);
	
	var parameter="Port="+document.getElementById("Port").value+"&";
	//parameter+="Mode="+document.getElementById("Mode").value+"&";
	parameter+="BaudRate="+document.getElementById("BaudRate").value+"&";
	parameter+="DataBit="+document.getElementById("DataBit").value+"&";
	parameter+="Parity="+document.getElementById("Parity").value+"&";
	parameter+="StopBit="+document.getElementById("StopBit").value+"&";
	parameter+="FlowControl="+document.getElementById("FlowControl").value;
	
	COMhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	COMhttp.setRequestHeader("Content-length", parameter.length);
	COMhttp.send(parameter);
}


</script>

<form id="COMSetting" name="COMSetting" >
<fieldset>
  <legend>SerialPort Setting</legend>
   	<table width='500' border='0' cellspacing='1' cellpadding='2' align='left'>
	   <tr>
	     <td width='20%' class='Gen-Table-Item'>
        		<font color='3A3B68'>COM Port</font>
	   	 </td>
	     <td class='Gen-Table-TD'>
	     	  <select id="Port" name="Port" onchange="ChangePort(this.value)">
			    <option value="COM1" <?php echo (strcmp($port,'COM1')==0) ? "selected=\"selected\"" : ""?>>COM1</option>
			    <option value="COM2" <?php echo (strcmp($port,'COM2')==0) ? "selected=\"selected\"" : ""?>>COM2</option>
			  </select>
	     </td>
	   </tr>
<!--	   <tr>-->
<!--	     <td width='20%' class='Gen-Table-Item'>-->
<!--        		<font color='3A3B68'>Mode</font>-->
<!--	   	 </td>-->
<!--	     <td class='Gen-Table-TD'>-->
<!--	      	 <select id="Mode" name="Mode">-->
<!--			    <option value="RS232" <?php echo (strcmp($mode,'RS232')==0) ? "selected=\"selected\"" : ""?>>RS232</option>-->
<!--			    <option value="RS422" <?php echo (strcmp($mode,'RS422')==0) ? "selected=\"selected\"" : ""?>>RS422</option>-->
<!--			    <option value="RS485" <?php echo (strcmp($mode,'RS485')==0) ? "selected=\"selected\"" : ""?>>RS485</option>-->
<!--			  </select>-->
<!--	     </td>-->
<!--	   </tr>	-->
	    <tr>
	     <td width='20%' class='Gen-Table-Item'>
        		<font color='3A3B68'>BaudRate</font>
	   	 </td>
	     <td class='Gen-Table-TD'>
	      	 <select id="BaudRate" name="BaudRate">
			    <option value="110" <?php echo (strcmp($baudRate,'110')==0) ? "selected=\"selected\"" : ""?>>110</option>
			    <option value="300" <?php echo (strcmp($baudRate,'300')==0) ? "selected=\"selected\"" : ""?>>300</option>
			    <option value="1200" <?php echo (strcmp($baudRate,'1200')==0) ? "selected=\"selected\"" : ""?>>1200</option>
			    <option value="2400" <?php echo (strcmp($baudRate,'2400')==0) ? "selected=\"selected\"" : ""?>>2400</option>
			    <option value="4800" <?php echo (strcmp($baudRate,'4800')==0) ? "selected=\"selected\"" : ""?>>4800</option>
			    <option value="9600" <?php echo (strcmp($baudRate,'9600')==0) ? "selected=\"selected\"" : ""?>>9600</option>
			    <option value="19200" <?php echo (strcmp($baudRate,'19200')==0) ? "selected=\"selected\"" : ""?>>19200</option>
			    <option value="38400" <?php echo (strcmp($baudRate,'38400')==0) ? "selected=\"selected\"" : ""?>>38400</option>
			    <option value="57600" <?php echo (strcmp($baudRate,'57600')==0) ? "selected=\"selected\"" : ""?>>57600</option>
			    <option value="115200" <?php echo (strcmp($baudRate,'115200')==0) ? "selected=\"selected\"" : ""?>>115200</option>
			    <option value="230400" <?php echo (strcmp($baudRate,'230400')==0) ? "selected=\"selected\"" : ""?>>230400</option>
			    <option value="460800" <?php echo (strcmp($baudRate,'460800')==0) ? "selected=\"selected\"" : ""?>>460800</option>
			    <option value="921600" <?php echo (strcmp($baudRate,'921600')==0) ? "selected=\"selected\"" : ""?>>921600</option>
			  </select>
	     </td>
	   </tr>
	    <tr>
	     <td width='20%' class='Gen-Table-Item'>
        		<font color='3A3B68'>DataBit</font>
	   	 </td>
	     <td class='Gen-Table-TD'>
	      	 <select id="DataBit" name="DataBit">
			    <option value="6" <?php echo (strcmp($dataBit,'6')==0) ? "selected=\"selected\"" : ""?>>6</option>
			    <option value="7" <?php echo (strcmp($dataBit,'7')==0) ? "selected=\"selected\"" : ""?>>7</option>
			    <option value="8" <?php echo (strcmp($dataBit,'8')==0) ? "selected=\"selected\"" : ""?>>8</option>
			  </select>
	     </td>
	   </tr>
	   <tr>
	     <td width='20%' class='Gen-Table-Item'>
        		<font color='3A3B68'>Parity</font>
	   	 </td>
	     <td class='Gen-Table-TD'>
	      	 <select id="Parity" name="Parity">
			    <option value="NONE" <?php echo (strcmp($parity,'NONE')==0) ? "selected=\"selected\"" : ""?>>NONE</option>
			    <option value="EVEN" <?php echo (strcmp($parity,'EVEN')==0) ? "selected=\"selected\"" : ""?>>EVEN</option>
			    <option value="ODD" <?php echo (strcmp($parity,'ODD')==0) ? "selected=\"selected\"" : ""?>>ODD</option>
			  </select>
	     </td>
	   </tr>
	   <tr>
	     <td width='20%' class='Gen-Table-Item'>
        		<font color='3A3B68'>StopBit</font>
	   	 </td>
	     <td class='Gen-Table-TD'>
	      	 <select id="StopBit" name="StopBit">
			    <option value="1" <?php echo (strcmp($stopBit,'1')==0) ? "selected=\"selected\"" : ""?>>1</option>
			    <option value="2" <?php echo (strcmp($stopBit,'2')==0) ? "selected=\"selected\"" : ""?>>2</option>
			  </select>
	     </td>
	   </tr>
	   <tr>
	     <td width='20%' class='Gen-Table-Item'>
        		<font color='3A3B68'>FlowControl</font>
	   	 </td>
	     <td class='Gen-Table-TD'>
	      	 <select id="FlowControl" name="FlowControl">
			    <option value="NONE" <?php echo (strcmp($flowControl,'NONE')==0) ? "selected=\"selected\"" : ""?>>NONE</option>
			    <option value="HARDWARE" <?php echo (strcmp($flowControl,'HARDWARE')==0) ? "selected=\"selected\"" : ""?>>HARDWARE</option>
			    <option value="XON/XOFF" <?php echo (strcmp($flowControl,'XON/XOFF')==0) ? "selected=\"selected\"" : ""?>>XON/XOFF</option>
			  </select>
	     </td>
	   </tr>
	</table>
  </fieldset>
  <input id="Save" name="Save" type="button" value="Save" onclick="SaveCOM()"/> 
  <input id="Reboot_Comm" name="Reboot_Comm" type="button" value="Reboot" onclick="COMReboot()"/> 
</form>