<?php
require_once("global.php");

header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type:application/json");

// Using XPath Parser XML
$doc = new DOMDocument();
$doc -> load(Common::$CONFIG_PATH);
$xpath = new DOMXPath($doc);
$query = "//System/BACnet/Objects/*[not(name()='Device')]";

$nodeList = $xpath -> query($query);

$i=0;
$data = array();

foreach ($nodeList as $node){
	
	$typeName = $node -> nodeName;
	$maximum = $node -> getElementsByTagName("Maximum") -> item(0) -> nodeValue;
	$instance = $node -> getElementsByTagName("InstanceNumber") -> item(0) -> nodeValue;

	$data[$i] = array("Type" => $typeName, "Maximum" => $maximum, "Instance" => $instance);
	$i++;
}

$result = array("ObjectTypes" => $data);
echo json_encode($result);
?>

