<?php
$ID = $_REQUEST["ID"];

require_once("global.php");

header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type:text/xml");

// Using XPath Parser XML
$doc = new DOMDocument();
$doc -> load(Common::$CONFIG_PATH);
$xpath = new DOMXPath($doc);
$query = "//System/Modbus/Devices/Device[@ID='" .$ID ."']";

$nodeList = $xpath -> query($query);
$device = null;

if ($nodeList-> length >= 1){
	$device = $nodeList -> item(0);
}

$pointList = $xpath -> query("Points/Point",  $device);

$newDoc = new DOMDocument("1.0", "utf-8");
$newDoc -> formatOutput = true;
$root = $newDoc -> createElement("PointList");
$newDoc -> appendChild($root);

foreach ($pointList as $point){
	$attrWrite = $point -> getAttribute("Write");
	$point->setAttribute( "Write" , (( strcmp($attrWrite, "TRUE")==0 ) ? "Write" : "Read"));
	$elPoint = $newDoc -> importNode($point, true);
	
	
//	$elPoint -> removeAttribute("ID");
//
//	// Create Address Element
//	$attrAddr = $elPoint -> getAttribute("Address");
//	$elPoint -> removeAttribute("Address");
//	$elAddr = $newDoc -> createElement("Address");
//	$elAddr -> nodeValue = $attrAddr;
//	$elPoint -> appendChild($elAddr);
//
//	// Create Type Element
//	$attrType = $elPoint -> getAttribute("Type");
//	$elPoint -> removeAttribute("Type");
//	$elType = $newDoc -> createElement("Type");
//	$elType -> nodeValue = $attrType;
//	$elPoint -> appendChild($elType);
//	
//	// Create Count Element
//	$attrCode = $elPoint -> getAttribute("Count");
//	$elPoint -> removeAttribute("Count");
//	$elAddr = $newDoc -> createElement("Count");
//	$elAddr -> nodeValue = $attrCode;
//	$elPoint -> appendChild($elAddr);
//	
//	// Create TypeDef Element
//	$attrTypeDef = $elPoint -> getAttribute("TypeDef");
//	$elPoint -> removeAttribute("TypeDef");
//	$elAddr = $newDoc -> createElement("TypeDef");
//	$elAddr -> nodeValue = $attrTypeDef;
//	$elPoint -> appendChild($elAddr);
//	
//	// Create TimeOut Element
//	$attrTimeOut = $elPoint -> getAttribute("TimeOut");
//	$elPoint -> removeAttribute("TimeOut");
//	$elAddr = $newDoc -> createElement("TimeOut");
//	$elAddr -> nodeValue = $attrTimeOut;
//	$elPoint -> appendChild($elAddr);
//	
//	// Create ScaleFactor Element
//	$attrScaleFactor = $elPoint -> getAttribute("ScaleFactor");
//	$elPoint -> removeAttribute("ScaleFactor");
//	$elAddr = $newDoc -> createElement("ScaleFactor");
//	$elAddr -> nodeValue = $attrScaleFactor;
//	$elPoint -> appendChild($elAddr);
//
//	// Create Low Element
//	$attrLow = $elPoint -> getAttribute("Low");
//	$elPoint -> removeAttribute("Low");
//	$elAddr = $newDoc -> createElement("Low");
//	$elAddr -> nodeValue = $attrLow;
//	$elPoint -> appendChild($elAddr);
//	
//	// Create Hi Element
//	$attrHi = $elPoint -> getAttribute("HI");
//	$elPoint -> removeAttribute("HI");
//	$elAddr = $newDoc -> createElement("HI");
//	$elAddr -> nodeValue = $attrHi;
//	$elPoint -> appendChild($elAddr);
//	
//	// Create Write Element
//	$attrWrite = $elPoint -> getAttribute(""");
//	$elPoint -> removeAttribute("Write");
//	$elAddr = $newDoc -> createElement("Write");
//	$elAddr -> nodeValue = (( strcmp($attrWrite, "TRUE")==0 ) ? "Write" : "Read");
//	$elPoint -> appendChild($elAddr);
//	
//	// Create Desc Element
//	$attrDesc = $elPoint -> getAttribute("Description");
//	$elPoint -> removeAttribute("Description");
//	$elAddr = $newDoc -> createElement("Desc");
//	$elAddr -> nodeValue = $attrDesc;
//	$elPoint -> appendChild($elAddr);
//	
//	// Create Offset Element
//	$attrIntercept = $elPoint -> getAttribute("Intercept");
//	$elPoint -> removeAttribute("Intercept");
//	$elAddr = $newDoc -> createElement("Intercept");
//	$elAddr -> nodeValue = (( strcmp($attrIntercept,"")==0 ) ? "0" : $attrIntercept);
//	$elPoint -> appendChild($elAddr);

	$root -> appendChild($elPoint);
}

echo $newDoc -> saveXML();
?>

