<?php
require_once("global.php");
$ID = $_REQUEST["ID"];

$errCode = 0;
$errText = "";

// Using XPath Parser XML
$doc = new DOMDocument();
$doc -> formatOutput = true;
$doc -> preserveWhitespace = true;
$doc -> load(Common::$CONFIG_PATH);


// Get Exist Node in config file
$xpath = new DOMXPath($doc);
$query = "//System/Modbus/Devices/Device[@ID='" .$ID ."']";

$nodeList = $xpath -> query($query);
$element = null;

if ($nodeList->length >= 1)
{
	$element = $nodeList -> item(0);
	$devList = $element -> parentNode;
	$devList -> removeChild($element);
}

if ($element!=null)
{
	$query = "//System/BACnetModbusMapping/BINARYINPUT/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/BINARYOUTPUT/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/BINARYVALUE/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/ANALOGINPUT/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/ANALOGOUTPUT/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/ANALOGVALUE/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/MULTISTATEINPUT/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/MULTISTATEOUTPUT/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
	$query = "//System/BACnetModbusMapping/MULTISTATEVALUE/Item[@Device='" .$ID ."']";
	$itemList = $xpath -> query($query);
	for($i=0;$i < $itemList->length;++$i)
	{
		$itemList-> item($i)->parentNode->removeChild($itemList-> item($i));
	}
}



	$rootNode = $doc->documentElement;

  	$dataList = $xpath -> query("//System/BACnetModbusMapping/BINARYOUTPUT/Item[@Type='BINARYOUTPUT']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/BinaryOutput/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/BINARYINPUT/Item[@Type='BINARYINPUT']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/BinaryInput/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/BINARYVALUE/Item[@Type='BINARYVALUE']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/BinaryValue/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/ANALOGOUTPUT/Item[@Type='ANALOGOUTPUT']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/AnalogOutput/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/ANALOGINPUT/Item[@Type='ANALOGINPUT']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/AnalogInput/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/ANALOGVALUE/Item[@Type='ANALOGVALUE']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/AnalogValue/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/MULTISTATAEOUTPUT/Item[@Type='MULTISTATAEOUTPUT']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/MultiStateOutput/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/MULTISTATAEINPUT/Item[@Type='MULTISTATAEINPUT']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/MultiStateInput/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}
	
	$dataList = $xpath -> query("//System/BACnetModbusMapping/MULTISTATAEVALUE/Item[@Type='MULTISTATAEVALUE']",$rootNode);
	$node=$xpath -> query("//System/BACnet/Objects/MultiStateValue/InstanceNumber",$rootNode);
	foreach($node as $no)
	{
		$no->nodeValue=$dataList->length;		
	}

	
	



$xml = formatXmlString($doc -> saveXML());

$h = fopen(Common::$CONFIG_PATH, 'w');
fwrite($h, $xml);
fclose($h);

$url = "main.php?Page=modbus";
$result = array("errCode" => $errCode, "errText" => $errText, "url" => $url);
echo json_encode($result);

?>
