<?php 
require_once("global.php");
$eth0Address;
$eth0Netmask;
$eth0Gateway;
$eth1Address;
$eth1Netmask;
$eth1Gateway;

$fileToOpen = fopen(Common::$NETWORK_SETTING_PATH,"r");
while(!feof($fileToOpen))
{
	$buffer =  fgets($fileToOpen,4096);
	if (strpos($buffer, '#')=== false)
	{
		//ifconfig eth0 192.168.3.126 netmask 255.255.255.0
		if (strpos($buffer, 'iface eth0 inet static')!== false)
		{
			$buffer =  fgets($fileToOpen,4096);
			$eth0Address = trim(substr($buffer,strpos($buffer, 'address')+7));
			$buffer =  fgets($fileToOpen,4096);
			$eth0Netmask = trim(substr($buffer,strpos($buffer, 'netmask')+7));			
			$buffer =  fgets($fileToOpen,4096);
			$eth0Gateway = trim(substr($buffer,strpos($buffer, 'gateway')+7));
		}else if (strpos($buffer, 'wireless-essid')!== false)
		{
			$buffer =  fgets($fileToOpen,4096);
			$eth1Address = trim(substr($buffer,strpos($buffer, 'address')+7));
			$buffer =  fgets($fileToOpen,4096);
			$eth1Netmask = trim(substr($buffer,strpos($buffer, 'netmask')+7));			
			$buffer =  fgets($fileToOpen,4096);
			$eth1Gateway = trim(substr($buffer,strpos($buffer, 'gateway')+7));
			break;
		}
	}
}

fclose($fileToOpen);
?>
<script type="text/javascript" src="../js/genutility.js"></script>
<script type="text/javascript">
var networkhttp;

function saveNetworkCallBack()
{
    if (networkhttp.readyState==4)
    {
    	document.getElementById("networkSave").disabled = false;
    }
}
function saveNetwork()
{
	if (!ipValidator(document.getElementById("Eth0Address").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth0Address").focus();
		return;
	}
	if (!ipValidator(document.getElementById("Eth0Netmask").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth0Netmask").focus();
		return;
	}

	if (!ipValidator(document.getElementById("Eth0Gateway").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth0Gateway").focus();
		return;
	}

	if (!ipValidator(document.getElementById("Eth1Address").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth1Address").focus();
		return;
	}
	if (!ipValidator(document.getElementById("Eth1Netmask").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth1Netmask").focus();
		return;
	}

	if (!ipValidator(document.getElementById("Eth1Gateway").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth1Gateway").focus();
		return;
	}
	
	networkhttp= GetXmlHttpObject();
	if (networkhttp==null)
	{
	  alert ("Your browser does not support AJAX!");
	  return;
	}
	var url="./page.files/saveNetwork.php";
	url+="?Eth0Address="+document.getElementById("Eth0Address").value+"&";
	url+="Eth0Netmask="+document.getElementById("Eth0Netmask").value+"&";
	url+="Eth0Gateway="+document.getElementById("Eth0Gateway").value+"&";
	url+="Eth1Address="+document.getElementById("Eth1Address").value+"&";
	url+="Eth1Netmask="+document.getElementById("Eth1Netmask").value+"&";
	url+="Eth1Gateway="+document.getElementById("Eth1Gateway").value;
	networkhttp.onreadystatechange=saveNetworkCallBack;
	networkhttp.open("GET",url,true);
	document.getElementById("networkSave").disabled = true;
	networkhttp.send(null);
}

function networkReboot()
{
	networkhttp= GetXmlHttpObject();
	var url="./page.files/systemreboot.php";
	networkhttp.open("GET",url,true);
	document.getElementById("networkReboot").disabled = true;
	networkhttp.send(null);
}

</script>
<link rel="stylesheet" type="text/css" href="../css/container.css" />

<link rel="stylesheet" type="text/css" href="../css/button.css" />
<table width='500' border='2' cellspacing='1' cellpadding='2' align='left'>
	<tr>
	   <td class='Gen-System-Table-Item' colspan="2">
	       <font color='3A3B68'>ETH0</font>
	   </td>
	</tr>
	<tr>
	  	<td class='Gen-Table-Item'>
	       <font color='3A3B68'>Address</font>
	    </td>
	    <td class='Gen-Table-TD'>
	       <input type='text' id='Eth0Address' name='Eth0Address' maxlength="15" value='<?php echo($eth0Address);?>' class='Gen-Table-Item-InputArea' size='15'/>
	    </td>
	</tr>
	<tr>
	  	<td class='Gen-Table-Item'>
	       <font color='3A3B68'>Netmask</font>
	    </td>
	    <td class='Gen-Table-TD'>
	       <input type='text' id='Eth0Netmask' name='Eth0Netmask' maxlength="15" value='<?php echo($eth0Netmask);?>' class='Gen-Table-Item-InputArea' size='15'/>
	    </td>
	</tr>
	<tr>
	  	<td class='Gen-Table-Item'>
	       <font color='3A3B68'>Gateway</font>
	    </td>
	    <td class='Gen-Table-TD'>
	       <input type='text' id='Eth0Gateway' name='Eth0Gateway' maxlength="15" value='<?php echo($eth0Gateway);?>' class='Gen-Table-Item-InputArea' size='15'/>
	    </td>
	</tr>
	<tr>
	   <td class='Gen-System-Table-Item' colspan="2">
	       <font color='3A3B68'>ETH1</font>
	   </td>
	</tr>
	<tr>
	  	<td class='Gen-Table-Item'>
	       <font color='3A3B68'>Address</font>
	    </td>
	    <td class='Gen-Table-TD'>
	       <input type='text' id='Eth1Address' name='Eth1Address' maxlength="15" value='<?php echo($eth1Address);?>' class='Gen-Table-Item-InputArea' size='15'/>
	    </td>
	</tr>
	<tr>
	  	<td class='Gen-Table-Item'>
	       <font color='3A3B68'>Netmask</font>
	    </td>
	    <td class='Gen-Table-TD'>
	       <input type='text' id='Eth1Netmask' name='Eth1Netmask' maxlength="15" value='<?php echo($eth1Netmask);?>' class='Gen-Table-Item-InputArea' size='15'/>
	    </td>
	</tr>
	<tr>
	  	<td class='Gen-Table-Item'>
	       <font color='3A3B68'>Gateway</font>
	    </td>
	    <td class='Gen-Table-TD'>
	       <input type='text' id='Eth1Gateway' name='Eth1Gateway' maxlength="15" value='<?php echo($eth1Gateway);?>' class='Gen-Table-Item-InputArea' size='15'/>
	    </td>
	</tr>
	<tr>
	  	<td colspan="2" align="center">
	      <input name='networkSave' id='networkSave' style='WIDTH: 65px; HEIGHT: 28px' type='button' value='Save' onclick='saveNetwork()'>
	      <input name='networkReboot' id='networkReboot' style='WIDTH: 65px; HEIGHT: 28px' type='button' value='Reboot' onclick='networkReboot()'>
	    </td>
	</tr>
</table>
