<?php
require_once("global.php");

header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type:application/json");

$proc = $_REQUEST["Proc"];

$errCode = 0;
$errText = "";

$cmd = Common::$SCRIPT_DIR;

if (strcmp($proc,"modbusd")==0){
	$cmd .= "/processd.kill.modbus";
}else if(strcmp($proc, "bacnetd")==0){
	$cmd .= "/processd.kill.bacnet";
}

try{
	
	$handle = popen($cmd,"r");
	pclose($handle);

	$cmd = Common::$PROG_DIR ."/processd -f /proc " .Common::$PROG_DIR ."/" . $proc;
	$handle = popen($cmd , "r");
	$read = fread($handle, 1024);
	pclose($handle);

	$read = str_replace("Find:", "", $read);

	if (strcmp($read,'') !=0){
		//$errCode = 1;
		//$errText = "Program Kill Failed!";
	}
	
}catch (Exception $e){
	$errCode = 1;
	$errText = $e -> getMessage();
}

$result = array("errCode" => $errCode, "errText" => $errText);
echo json_encode($result);
?>

