<?php
session_start();
header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
?>
<link rel="stylesheet" type="text/css" href="../css/page.css" />
<link rel="stylesheet" type="text/css" href="../css/layout.css" />
<link rel="stylesheet" type="text/css" href="../css/container.css" />
<link rel="stylesheet" type="text/css" href="../css/resize.css" />
<link rel="stylesheet" type="text/css" href="../css/treeview.css" />
<link rel="stylesheet" type="text/css" href="../css/button.css" />
<link rel="stylesheet" type="text/css" href="../css/datatable.css" />
<link rel="stylesheet" type="text/css" href="../css/fonts-min.css" />
<script type="text/javascript" src="../js/jquery.xml.js"></script>
<script type="text/javascript" src="../js/yahoo-dom-event.js"></script>
<script type="text/javascript" src="../js/element-min.js"></script>
<script type="text/javascript" src="../js/container-min.js"></script>
<script type="text/javascript" src="../js/resize-min.js"></script>
<script type="text/javascript" src="../js/layout-min.js"></script>
<script type="text/javascript" src="../js/connection-min.js"></script>
<script type="text/javascript" src="../js/button-min.js"></script>
<script type="text/javascript" src="../js/datasource-min.js"></script>
<script type="text/javascript" src="../js/datatable-min.js"></script>
<script type="text/javascript" src="../js/json-min.js"></script>
<script type="text/javascript" src="../js/main.js"></script>
<script type="text/javascript" src="../js/genutility.js"></script>

<style type="text/css">
td {
	padding-left: 0em;
	padding-right: 0em;
}
</style>

<script type="text/javascript">
var SYShttp;
var networkhttp;
var fwhttp;
var COMhttp;

//********************************************************************Import / Export Configuration file
function ImportCheck()
{
	var str = document.getElementById('file').value;
	if (str=="")
	{
		alert("Please Select An Upload File");
		return;
	}
	var csv_pos = str.indexOf(".csv", (str.length-4));

	if(csv_pos<0)
	{
		alert("Please Select An Appropriate .CSV File");
		return;
	}

	document.System.submit();
}

function FirmwareCheck()
{
	var str = document.getElementById('file').value;
	if (str=="")
	{
		alert("Please Select An Upload File");
		return;
	}

	var tar_pos = str.indexOf(".fw", (str.length-3));

	if(tar_pos<0)
	{
		alert("Please Select An Appropriate .fw File");
		return;
	}

	document.System.submit();
}

function ExportCheckCallback()
{
	if (SYShttp.readyState==4)
    {
    	document.getElementById("btnExport").disabled = false;
    	var url='../config/config.csv';
    	window.location = url;
    }
}

function ExportCheck()
{
	document.getElementById("btnExport").disabled = true;
	SYShttp=GetXmlHttpObject();
	if (SYShttp==null)
	{
	  alert ("Your browser does not support AJAX!");
	  return;
	}

	var url="page.files/downloadfile.php";

	SYShttp.onreadystatechange=ExportCheckCallback;

	SYShttp.open("GET",url,true);
	SYShttp.send(null);

}

//********************************************************************Network Settings
function saveNetworkCallBack()
{
    if (networkhttp.readyState==4)
    {
    	document.getElementById("Save").disabled = false;
    }
}

function saveSecureCallBack()
{
	if (securehttp.readyState==4)
    {
		document.getElementById("btnSecure").disabled = false;
    }
}

function SaveCOMCallback()
{
    if (COMhttp.readyState==4)
    {
    	document.getElementById("Save").disabled = false;
    	document.getElementById("Save").blur();
        if (COMhttp.responseText !="")
        {
            alert(COMhttp.responseText);
        }
    }
}

function saveNetwork()
{
	if (!ipValidator(document.getElementById("Eth0Address").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth0Address").focus();
		return;
	}
	if (!ipValidator(document.getElementById("Eth0Netmask").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth0Netmask").focus();
		return;
	}

	if (!ipValidator(document.getElementById("Eth0Gateway").value))
	{
		alert("Incorrect IP Address format");
		document.getElementById("Eth0Gateway").focus();
		return;
	}

	networkhttp= GetXmlHttpObject();
	if (networkhttp==null)
	{
	  alert ("Your browser does not support AJAX!");
	  return;
	}
	var url="./page.files/saveNetwork.php";
	url+="?Eth0Address="+document.getElementById("Eth0Address").value+"&";
	url+="Eth0Netmask="+document.getElementById("Eth0Netmask").value+"&";
	url+="Eth0Gateway="+document.getElementById("Eth0Gateway").value+"&";

	networkhttp.onreadystatechange=saveNetworkCallBack;
	networkhttp.open("GET",url,true);
	document.getElementById("Save").disabled = true;
	networkhttp.send(null);
}

function System_Reboot()
{
	networkhttp= GetXmlHttpObject();
	var url="./page.files/systemreboot.php";
	networkhttp.open("GET",url,true);
	document.getElementById("networkReboot").disabled = true;
	networkhttp.send(null);
}

function Firmware_Update()
{
	fwhttp= GetXmlHttpObject();
	var fwurl="./page.files/fwupdate.php";
	fwhttp.open("GET", fwurl, true);
	document.getElementById("btnFirmwareRun").disabled = true;
	fwhttp.send(null);
}

/*function networkReboot()
{
	alert ("232323232");
	networkhttp= GetXmlHttpObject();
	var url="./page.files/systemreboot.php";
	networkhttp.open("GET",url,true);
	document.getElementById("networkReboot").disabled = true;
	networkhttp.send(null);
}*/

//*********************************************************************COM Port Settings
function COMReboot()
{
	COMhttp= GetXmlHttpObject();
	var url="page.files/systemreboot.php";
	COMhttp.open("GET",url,true);
	document.getElementById("Reboot_Comm").disabled = true;
	COMhttp.send(null);
}

function ChangePort(str)
{
	 var link = "main.php?Page=comport&Port=" + str;
	 window.location = link;
}


function SaveCOM()
{
	document.getElementById("Save").disabled = true;
	COMhttp=GetXmlHttpObject();
	if (COMhttp==null)
	{
	  alert ("Your browser does not support AJAX!");
	  return;
	}

	var url="./page.files/comsettingsaving.php";

	COMhttp.onreadystatechange=SaveCOMCallback;

	COMhttp.open("POST",url,true);

	var parameter="Port="+document.getElementById("Port").value+"&";
	//parameter+="Mode="+document.getElementById("Mode").value+"&";
	parameter+="BaudRate="+document.getElementById("BaudRate").value+"&";
	parameter+="DataBit="+document.getElementById("DataBit").value+"&";
	parameter+="Parity="+document.getElementById("Parity").value+"&";
	parameter+="StopBit="+document.getElementById("StopBit").value+"&";
	parameter+="FlowControl="+document.getElementById("FlowControl").value;

	COMhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	COMhttp.setRequestHeader("Content-length", parameter.length);
	COMhttp.send(parameter);
}

function System_Save()
{
	SaveCOM();
	saveNetwork();
}

function Secure_Save()
{
	//var username_temp = document.getElementById("PWord").value;
	//var pword_temp = document.getElementById("rPWord").value;

	if (document.getElementById("PWord").value == document.getElementById("rPWord").value)
	{
		securehttp= GetXmlHttpObject();
		if (securehttp==null)
		{
	  		alert ("Your browser does not support AJAX!");
	  		return;
		}

		var surl="./page.files/saveSecure.php";
		surl+="?UserName="+document.getElementById("UserName").value+"&";
		surl+="PWord="+document.getElementById("PWord").value+"&";

		securehttp.onreadystatechange=saveSecureCallBack;
		securehttp.open("GET",surl,true);
		document.getElementById("btnSecure").disabled = true;
		securehttp.send(null);

	}
	else
	{
		alert("New Password and Re-enter Password input different!!");
		document.getElementById("PWord").focus();
		return;
	}

}

</script>

<script type="text/javascript">
(function() {
    var Dom = YAHOO.util.Dom,
        Event = YAHOO.util.Event,
        layout = null,
        resize = null,
    	myDataTable = null;

    Event.onAvailable('panel_system', function() {
        var panel = new YAHOO.widget.Panel('panel_system', {
            draggable: false,
            close: false,
            //autofillheight: "body", // default value, specified here to highlight its use in the example
            underlay: 'none',
            width: '999px',
            height: '600px',
            xy: [0, 131]
        });

        panel.renderEvent.subscribe(function() {
            Event.onAvailable('layout_system', function() {
                layout = new YAHOO.widget.Layout('layout_system', {
                    height: (panel.body.offsetHeight - 20),
                    //width: 480,
                    units: [
                         { position: 'center', body: 'System_Center', gutter: '0 2 0 0' }
                    ]
                });

                layout.render();
            });
        });

        panel.render();
        resize = new YAHOO.util.Resize('panel_system', {
            handles: ['br'],
            autoRatio: true,
            status: false,
            minWidth: 300
        });
        resize.on('resize', function(args) {
            var panelHeight = args.height,
            padding = 20;

            //Hack to trick IE into behaving
            Dom.setStyle('layout_system', 'display', 'none');
            this.cfg.setProperty("height", panelHeight + 'px');
            layout.set('height', this.body.offsetHeight - padding);
            layout.set('width', this.body.offsetWidth - padding);
            //Hack to trick IE into behaving
            Dom.setStyle('layout_system', 'display', 'block');
            layout.resize();

        }, panel, true);

     	// setting the destruction's rules
		YAHOO.plugin.Dispatcher.destroyer.subscribe (function(el, config){
		    panel.destroy ();
		});

		<?php include_once("systemprocess.php");?>
    });
/*  [20160816] Commented by Kennis
    var reboot = function(e) {
    	document.getElementById("Reboot_system").disabled = true;
    	var url="page.files/systemreboot.php";
    	YAHOO.util.Connect.asyncRequest("POST", url, null, null);
    };
    var btnSaveReboot = new YAHOO.widget.Button("Reboot_system");
    btnSaveReboot.on("click", reboot);
*/
})();
</script>

<?php
// Using XPath Parser XML
require_once("global.php");

$doc = new DOMDocument();
$doc -> load(Common::$CONFIG_PATH);
$xpath = new DOMXPath($doc);

$elRepo = $xpath -> query("//System/Repository") -> item(0);
$Version = ($elRepo==null) ? "" : $elRepo -> getElementsByTagName("Version") -> item(0) -> nodeValue;

//Retrieve IP Information
$eth0Address;
$eth0Netmask;
$eth0Gateway;
$eth1Address;
$eth1Netmask;
$eth1Gateway;

$fileToOpen = fopen(Common::$NETWORK_SETTING_PATH,"r");
while(!feof($fileToOpen))
{
	$buffer =  fgets($fileToOpen,4096);
	if (strpos($buffer, '#')=== false)
	{
		//ifconfig eth0 192.168.3.126 netmask 255.255.255.0
		if (strpos($buffer, 'iface eth0 inet static')!== false)
		{
			$buffer =  fgets($fileToOpen,4096);
			$eth0Address = trim(substr($buffer,strpos($buffer, 'address')+7));
			$buffer =  fgets($fileToOpen,4096);
			$eth0Netmask = trim(substr($buffer,strpos($buffer, 'netmask')+7));
			$buffer =  fgets($fileToOpen,4096);
			$eth0Gateway = trim(substr($buffer,strpos($buffer, 'gateway')+7));
		}else if (strpos($buffer, 'wireless-essid')!== false)
		{
			break;
		}
	}
}

fclose($fileToOpen);

//Retrieve Secure Information
$username;
$passwd;

$secureToOpen = fopen(Common::$SECURE_PATH, "r");

$sbuffer = fgets($secureToOpen,4096);
$username = substr($sbuffer,0, strpos($sbuffer, ':'));
$passwd = substr($sbuffer,strpos($sbuffer, ':')+1);

fclose($secureToOpen);

// Using XPath Parser XML COM Port Settings

if($_SESSION["COMport"] == NULL || (strcmp($_SESSION["COMport"],'COM1')==0))
{
	$query = "//System/Ports/Port[@ID='COM1']";
}else
{
	$query = "//System/Ports/Port[@ID='COM2']";
}
$nodeList = $xpath -> query($query);
$element = null;
$portElement = null;

$element = $nodeList -> item(0);
$port = $element -> getAttribute("ID");
$mode = $element -> getAttribute("Mode");
$baudRate = $element -> getAttribute("BaudRate");
$dataBit = $element -> getAttribute("DataBit");
$parity = $element -> getAttribute("Parity");
$stopBit = $element -> getAttribute("StopBit");
$flowControl = $element -> getAttribute("FlowControl");
?>

<div id="panel_system" class="yui-navset">
<div class="bd">
<div id="layout_system" class="yui-navset">
<div id="System_Center">

<form id="System" name="System" action="page.files/uploadfile.php" method="post" enctype="multipart/form-data">

<table width="999" border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td width="394" rowspan="3">
			<fieldset><legend>System Process</legend>
				&nbsp;
    			<div id="datatable_system"></div>
        		<p>&nbsp;</p>
  			</fieldset>
    	</td>
    	<td width="9"></td>
    	<td width="474" valign="top">
			<fieldset><legend>Network Settings </legend>
				<p></p>
        		<table width='448' border='1' cellspacing='1' cellpadding='2' align='left'>
					<tr>
						<td width="158" class='Gen-Table-Item'><font color='3A3B68'>IP Address</font> </td>
            			<td width="229" class='Gen-Table-TD'>
            				<input type='text' id='Eth0Address' name='Eth0Address' maxlength="15" value='<?php echo($eth0Address);?>' class='Gen-Table-Item-InputArea' size='15'/>
                        </td>
          			</tr>
          			<tr>
            			<td class='Gen-Table-Item'><font color='3A3B68'>Subnet Mask</font> </td>
            			<td class='Gen-Table-TD'>
            				<input type='text' id='Eth0Netmask' name='Eth0Netmask' maxlength="15" value='<?php echo($eth0Netmask);?>' class='Gen-Table-Item-InputArea' size='15'/>
                    	</td>
					</tr>
          			<tr>
            			<td class='Gen-Table-Item'><font color='3A3B68'>Default Gateway</font> </td>
            			<td class='Gen-Table-TD'>
            				<input type='text' id='Eth0Gateway' name='Eth0Gateway' maxlength="15" value='<?php echo($eth0Gateway);?>' class='Gen-Table-Item-InputArea' size='15'/>            </td>
          			</tr>
        		</table>
    		</fieldset>
		</td>
    	<td width="36"></td>
	</tr>
  	<tr>
    	<td valign="top"></td>
    	<td valign="top">
        <?php if(strcmp($_SESSION["device"],'GW5492')==0) {?>
    		<fieldset><legend>SerialPort Setting</legend>
				<p></p>
				<span class="Gen-Table-TD">
				<select id="BaudRate" name="BaudRate">
                  <option value="2400" <?php echo (strcmp($baudRate,'2400')==0) ? "selected=\"selected\"" : ""?>>2400</option>
                  <option value="4800" <?php echo (strcmp($baudRate,'4800')==0) ? "selected=\"selected\"" : ""?>>4800</option>
                  <option value="9600" <?php echo (strcmp($baudRate,'9600')==0) ? "selected=\"selected\"" : ""?>>9600</option>
                  <option value="19200" <?php echo (strcmp($baudRate,'19200')==0) ? "selected=\"selected\"" : ""?>>19200</option>
                  <option value="38400" <?php echo (strcmp($baudRate,'38400')==0) ? "selected=\"selected\"" : ""?>>38400</option>
                  <option value="57600" <?php echo (strcmp($baudRate,'57600')==0) ? "selected=\"selected\"" : ""?>>57600</option>
                  <option value="115200" <?php echo (strcmp($baudRate,'115200')==0) ? "selected=\"selected\"" : ""?>>115200</option>
                </select>
				</span>
			  <table width='500' border='1' cellspacing='1' cellpadding='2' align='left'>
					<tr>
	     				<td width='20%' class='Gen-Table-Item'>
        					<font color='3A3B68'>COM Port</font>						</td>
	     				<td width="30%" class='Gen-Table-TD'>
							<select id="Port" name="Port" onchange="ChangePort(this.value)">
			    				<option value="COM1" <?php echo (strcmp($port,'COM1')==0) ? "selected=\"selected\"" : ""?>>COM2</option>
			    				<option value="COM2" <?php echo (strcmp($port,'COM2')==0) ? "selected=\"selected\"" : ""?>>COM3</option>
			  				</select>						</td>
	     				<td width='20%' class='Gen-Table-Item'><font color='3A3B68'>Parity</font> </td>
	     				<td width="30%" class='Gen-Table-TD'>
          					<select id="Parity" name="Parity">
			    				<option value="NONE" <?php echo (strcmp($parity,'NONE')==0) ? "selected=\"selected\"" : ""?>>NONE</option>
			    				<option value="EVEN" <?php echo (strcmp($parity,'EVEN')==0) ? "selected=\"selected\"" : ""?>>EVEN</option>
			    				<option value="ODD" <?php echo (strcmp($parity,'ODD')==0) ? "selected=\"selected\"" : ""?>>ODD</option>
			  				</select>						</td>
					</tr>
					<!--	   <tr>-->
					<!--	     <td width='20%' class='Gen-Table-Item'>-->
					<!--        		<font color='3A3B68'>Mode</font>-->
					<!--	   	 </td>-->
					<!--	     <td class='Gen-Table-TD'>-->
					<!--	      	 <select id="Mode" name="Mode">-->
					<!--			    <option value="RS232" <?php echo (strcmp($mode,'RS232')==0) ? "selected=\"selected\"" : ""?>>RS232</option>-->
					<!--			    <option value="RS422" <?php echo (strcmp($mode,'RS422')==0) ? "selected=\"selected\"" : ""?>>RS422</option>-->
					<!--			    <option value="RS485" <?php echo (strcmp($mode,'RS485')==0) ? "selected=\"selected\"" : ""?>>RS485</option>-->
					<!--			  </select>-->
					<!--	     </td>-->
					<!--	   </tr>	-->
					<tr>
						<td width='20%' class='Gen-Table-Item'>
        					<font color='3A3B68'>BaudRate</font>                		</td>
	     				<td class='Gen-Table-TD'>&nbsp;</td>
     				  <td width='20%' class='Gen-Table-Item'><font color='3A3B68'>StopBit</font> </td>
	     				<td class='Gen-Table-TD'>
         					<select id="StopBit" name="StopBit">
			    				<option value="1" <?php echo (strcmp($stopBit,'1')==0) ? "selected=\"selected\"" : ""?>>1</option>
			    				<option value="2" <?php echo (strcmp($stopBit,'2')==0) ? "selected=\"selected\"" : ""?>>2</option>
			  				</select>                		</td>
	    			</tr>
	    			<tr>
	     				<td width='20%' class='Gen-Table-Item'>
        					<font color='3A3B68'>DataBit</font>                		</td>
	     				<td class='Gen-Table-TD'>
	      	 				<select id="DataBit" name="DataBit">
			    				<option value="6" <?php echo (strcmp($dataBit,'6')==0) ? "selected=\"selected\"" : ""?>>6</option>
			    				<option value="7" <?php echo (strcmp($dataBit,'7')==0) ? "selected=\"selected\"" : ""?>>7</option>
			    				<option value="8" <?php echo (strcmp($dataBit,'8')==0) ? "selected=\"selected\"" : ""?>>8</option>
			  				</select>                		</td>
	     				<td width='20%' class='Gen-Table-Item'><font color='3A3B68'>FlowControl</font> </td>
	     				<td class='Gen-Table-TD'>
         					<select id="FlowControl" name="FlowControl">
			    				<option value="NONE" <?php echo (strcmp($flowControl,'NONE')==0) ? "selected=\"selected\"" : ""?>>NONE</option>
			    				<option value="HARDWARE" <?php echo (strcmp($flowControl,'HARDWARE')==0) ? "selected=\"selected\"" : ""?>>HARDWARE</option>
			    				<option value="XON/XOFF" <?php echo (strcmp($flowControl,'XON/XOFF')==0) ? "selected=\"selected\"" : ""?>>XON/XOFF</option>
			  				</select>                		</td>
	    			</tr>
				</table>
  			</fieldset>
  		<?php }?>
        </td>
    	<td height="140" valign="top"></td>
	</tr>
	<tr>
    	<td></td>
    	<td>
    		<div align="left">
      			<?php if(strcmp($_SESSION["device"],'GW5492')==0) {?>
                	<input id="Save" name="Save" type="button" value="Save Settings" onclick="System_Save()"/>
                <?php }else{?>
                	<input id="Save" name="Save" type="button" value="Save Settings" onclick="saveNetwork()"/>
                <?php }?>
                <input id="networkReboot" name="networkReboot" type="button" value="Reboot System" onclick="System_Reboot()"/>
    		</div>
    	</td>
    	<td></td>
  </tr>
</table>
<p></p>
<fieldset>
<?php if(strcmp($_SESSION["device"],'BNET5304')!=0 and strcmp($_SESSION["device"],'BNET5310')!=0) {?>
	<legend>Import / Export Configuration or Updating Firmware</legend>
<?php } else {?>
	<legend>Updating Firmware</legend>
<?php }?>
  	<br />
  	<input type="file" id="file" name="file" />
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Current Firmware Version
       <input name="Version_system2" type="text" id="Version_system2" value="<?php echo $Version?>" size="5" />
       </lable>
<br />
    <br />
    <?php if(strcmp($_SESSION["device"],'BNET5304')!=0 and strcmp($_SESSION["device"],'BNET5310')!=0) {?>
    	<input type="button" id="btnExport" name="btnExport" value="Config Export" onclick="ExportCheck()"/>&nbsp;&nbsp;
        <input type="button" id="btnImport" name="btnImport" value="Config Import" onclick="ImportCheck()"/>&nbsp;&nbsp;
    <?php }?>
    <input type="button" id="btnFirmware" name="btnFirmware" value="Upload Firmware" onclick="FirmwareCheck()"/>&nbsp;&nbsp;
    <input type="button" id="btnFirmwareRun" name="btnFirmwareRun" value="Update Firmware" onclick="Firmware_Update()"/>
    <p></p>
</fieldset>
<p></p>
<fieldset>
<legend>Change User Name &amp; Password</legend>
<p></p>
	UserName&nbsp;<span class="Gen-Table-TD">
	<input type='text' id='UserName' name='UserName' maxlength="15" value='<?php echo($username);?>' class='Gen-Table-Item-InputArea' size='15'/>
	</span>
	&nbsp;&nbsp;&nbsp;New Password&nbsp;&nbsp;<span class="Gen-Table-TD">
	<input type='password' id='PWord' name='PWord' maxlength="15" value='' class='Gen-Table-Item-InputArea' size='15'/>
	</span>
	&nbsp;<span class="Gen-Table-TD"> </span> &nbsp;&nbsp;&nbsp;Re-enter Password&nbsp;&nbsp;<span class="Gen-Table-TD">
    <input type='password' id='rPWord' name='rWord' maxlength="15" value='' class='Gen-Table-Item-InputArea' size='15'/>
    </span> &nbsp;&nbsp;
    <input type="button" id="btnSecure" name="btnSecure" value="Change" onclick="Secure_Save()"/>
	<label>
	<p></p>
</fieldset>
</form>
</div>
</div>
</div>
</div>
