<?php

require_once("global.php");

$file=fopen(Common::$TMP_PATH."/config.csv","w");

$stringData = "Device,Type,TCP Address,TCP Port,TCP Unit,SerialPort,Mode,BaudRate,DataBit,Parity,StopBit,FlowControl,DeviceID,Point,Address,Count,Index,Modbus Type,TypeDef,Sampling,TimeOut,ScaleFactor,Intercept,Low,Hi,Write,Object Name,COVIncrement,COVPeriod,Unit,Relinquish,Polarity,Description,MappingType\n";

fwrite($file, $stringData);
		

$xmldocument = DOMDocument::load(Common::$CONFIG_PATH);

$xmldocument->formatOutput = true;

$xmldocument->preserveWhiteSpace = false;

$rootNode = $xmldocument->documentElement;

$domxpath = new DOMXPath($xmldocument);

$com1 = $domxpath -> query("//System/Ports/Port[@ID='COM1']",$rootNode)->item(0);

$com1_Mode = $com1-> getAttribute("Mode");

$com1_BaudRate = $com1-> getAttribute("BaudRate");

$com1_DataBit = $com1-> getAttribute("DataBit");

$com1_Parity = $com1-> getAttribute("Parity");

$com1_StopBit = $com1-> getAttribute("StopBit");

$com1_FlowControl = $com1-> getAttribute("FlowControl");



$com2 = $domxpath -> query("//System/Ports/Port[@ID='COM2']",$rootNode)->item(0);

$com2_Mode = $com2-> getAttribute("Mode");

$com2_BaudRate = $com2-> getAttribute("BaudRate");

$com2_DataBit = $com2-> getAttribute("DataBit");

$com2_Parity = $com2-> getAttribute("Parity");

$com2_StopBit = $com2-> getAttribute("StopBit");

$com2_FlowControl = $com2-> getAttribute("FlowControl");

		



$nodeList = $domxpath -> query("//System/Modbus/Devices/Device",$rootNode);



foreach($nodeList as $node)

{

	$deviceID =  $node-> getAttribute("ID");

	$deviceType =  $node-> getAttribute("Type");

	if (strcmp($deviceType,"RTU")==0)

	{

		$devicePort =  $node-> getAttribute("Port");

		$deviceDeviceID =  $node-> getAttribute("DeviceID");

		$pointNodeList = $domxpath -> query("Points/Point",$node);

		foreach($pointNodeList as $pointNode)

		{

			$pointID =  $pointNode-> getAttribute("ID");

			$pointAddress =  $pointNode-> getAttribute("Address");

			$pointCount =  $pointNode-> getAttribute("Count");

			$pointTypeDef =  $pointNode-> getAttribute("TypeDef");

			$pointSampling =  $pointNode-> getAttribute("Sampling");

			$pointTimeOut =  $pointNode-> getAttribute("TimeOut");

			$pointScaleFactor =  $pointNode-> getAttribute("ScaleFactor");

			$pointIntercept =  $pointNode-> getAttribute("Intercept");

			$pointLow =  $pointNode-> getAttribute("Low");

			$pointHi =  $pointNode-> getAttribute("Hi");

			$pointWrite =  $pointNode-> getAttribute("Write");

			$pointType =  $pointNode-> getAttribute("Type");

			//$mapDescription =  $pointNode-> getAttribute("Description");

			

			
			
			//parse BO mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/BINARYOUTPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse BI mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/BINARYINPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse BV mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/BINARYVALUE/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse AO mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/ANALOGOUTPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse AI mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/ANALOGINPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse AV mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/ANALOGVALUE/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse MSO mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/MULTISTATEOUTPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse MSI mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/MULTISTATEINPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
			
			//parse MSV mapping
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/MULTISTATEVALUE/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);
						
			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");

				if (strcmp($devicePort,"COM1")==0)
				{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com1_Mode.",".$com1_BaudRate.",".$com1_DataBit.",".$com1_Parity.",".$com1_StopBit.",".$com1_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}else{
					$stringData = $deviceID.",".$deviceType.",,,,".$devicePort.",".$com2_Mode.",".$com2_BaudRate.",".$com2_DataBit.",".$com2_Parity.",".$com2_StopBit.",".$com2_FlowControl.",".$deviceDeviceID.",".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

					fwrite($file, $stringData);
				}
			}
		}

	}else{

		$deviceAddress =  $node-> getAttribute("Address");

		$devicePort =  $node-> getAttribute("Port");

		$deviceUnit =  $node-> getAttribute("Unit");

		$pointNodeList = $domxpath -> query("Points/Point",$node);

		foreach($pointNodeList as $pointNode)

		{

			$pointID =  $pointNode-> getAttribute("ID");

			$pointAddress =  $pointNode-> getAttribute("Address");

			$pointCount =  $pointNode-> getAttribute("Count");

			$pointTypeDef =  $pointNode-> getAttribute("TypeDef");

			$pointSampling =  $pointNode-> getAttribute("Sampling");

			$pointTimeOut =  $pointNode-> getAttribute("TimeOut");

			$pointScaleFactor =  $pointNode-> getAttribute("ScaleFactor");

			$pointIntercept =  $pointNode-> getAttribute("Intercept");

			$pointLow =  $pointNode-> getAttribute("Low");

			$pointHi =  $pointNode-> getAttribute("Hi");

			$pointWrite =  $pointNode-> getAttribute("Write");

			$pointType =  $pointNode-> getAttribute("Type");

			//$mapDescription =  $pointNode-> getAttribute("Description");

			

			$mapList = $domxpath -> query("//System/BACnetModbusMapping/BINARYOUTPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/BINARYINPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/BINAYVALUE/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/ANALOGOUTPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/ANALOGINPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/ANALOGVALUE/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/MULTISTATEOUTPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/MULTISTATEINPUT/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
			$mapList = $domxpath -> query("//System/BACnetModbusMapping/MULTISTATEVALUE/Item [@Device='".$deviceID."'] [@Point='".$pointID."']",$rootNode);

			foreach($mapList as $mapNode)
			{
				$mapType = $mapNode-> getAttribute("Type");
				$mapIndex = $mapNode-> getAttribute("Index");
				$mapToKey = $mapNode-> getAttribute("ToKey");
				$mapObjectName = $mapNode-> getAttribute("ObjectName");
				$mapCOVIncrement = $mapNode-> getAttribute("COVIncrement");
				$mapCOVPeriod = $mapNode-> getAttribute("COVPeriod");
				$mapUnit = $mapNode-> getAttribute("Unit");
				$mapRelinquish = $mapNode-> getAttribute("Relinquish");
				$mapPolarity = $mapNode-> getAttribute("Polarity");
				$mapDescription =  $mapNode-> getAttribute("Description");				

				$stringData = $deviceID.",".$deviceType.",".$deviceAddress.",".$devicePort.",".$deviceUnit.",,,,,,,,,".$pointID.",".$pointAddress.",".$pointCount.",".$mapIndex.",".$pointType.",".$pointTypeDef.",".$pointSampling.",".$pointTimeOut.",".$pointScaleFactor.",".$pointIntercept.",".$pointLow.",".$pointHi.",".$pointWrite.",".$mapObjectName.",".$mapCOVIncrement.",".$mapCOVPeriod.",".$mapUnit.", ".$mapRelinquish.",".$mapPolarity.",".$mapDescription.",".$mapType."\n";

				fwrite($file, $stringData);
			}
		}
	}
}

fclose($file);
echo("\r\nend\r\n");

?>