<?php
require_once("global.php");

header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type:application/json");

$i=0;
$data = array();

if (is_dir(Common::$PROG_DIR)){
	if ($dh = opendir(Common::$PROG_DIR)){
		
		while(($file = readdir($dh))!==false){
			
			// check if enabled, 1=started, 0=no starts
			$start = 0;
			$stop = 1;

			// Skip . && .. 
			if ($file == "." || $file == "..") {
				continue;
			}
			
			// Skip signalrecvd && processd && httpd
			if ($file == "signalrecvd" || $file == "processd" || $file == "setuidd" || $file == "httpd"){
				continue;
			}
			
			$files=scandir(Common::$SCRIPT_DIR);
			foreach($files as $curfile)
			{
				if($curfile==$file)
				{
					$cmd = Common::$PROG_DIR ."/processd -f /proc " .Common::$PROG_DIR ."/" . $file;
			$handle = popen($cmd , "r");
			$read = fread($handle, 1024);
			pclose($handle);

			$read = str_replace("Find:", "", $read);

			if (strcmp($read,'') !=0){
				$start = 1;
				$stop = 0;
			}
			
			$data[$i] = array("Process" => $file, "Start" => $start, "Stop" => $stop);		
			$i++;
				}
				
			}
			
			
		}
		
		closedir($dh);
	}
}

$result = array("ProcessList" => $data);
echo json_encode($result);
?>

