<?php

class Common {

	public static $PORT_PREFIX = "/dev/ttyS1";
	public static $PORT_START_INDEX = 1;
	public static $PORT_MAX_COUNT = 4;	

	public static $PROG_DIR = "/home/sbin";
	public static $SCRIPT_DIR = "/home/bin";
	public static $CONFIG_PATH2 = "C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\config\config.xml";
	public static $CONFIG_PATH = "/home/config/config.xml";

	public static $TMP_PATH2 = "C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\config";
	public static $TMP_PATH = "/home/httpd/htdocs/config";	

	public static $REPO_PATH = "/home/repository/ITRI.db";    
	public static $NETWORK_SETTING_PATH = "/etc/network/interfaces";
	public static $SECURE_PATH = "/etc/.httppasswd";
	public static $SERVER_PATH = "/etc/lighttpd.conf";

}

function mixAllUpperString($input){

	$value = "";
	$arr = str_split($input);

	for ($i=0; $i < count($arr); $i++) {
		if ( ereg ("[A-Z]",  $arr[$i] ) ) {
			$value .= $arr[$i];
		} 
	}
	return $value;
}
function getAllFileName($directory)
{
	$countr = 0;
	$files;
	if ($dh = opendir($directory)) {
        while (($file = readdir($dh)) !== false) {
        	if(is_file( $directory.$file ))
        	{
        		$files[$countr++]= $file;
        	}
        }
        closedir($dh);
    }
    return $files;
}

function formatXmlString($xmlString, $level = 4)
{
	// get an array containing each XML element
  $xml = explode("\n", preg_replace('/>\s*</', ">\n<", $xmlString));

  // hold current indentation level
	$indent = 0;

	// hold the XML segments
	$pretty = array();

	// shift off opening XML tag if present
	if (count($xml) && preg_match('/^<\?\s*xml/', $xml[0])) 
	{
		$pretty[] = array_shift($xml);
	}

	foreach ($xml as $el) 
	{
		$line = str_replace(' ','',trim($el));
		
		if(empty($line))
		{
      // There is nothing on this line, so we can skip it;)
			continue;
		}
		
	 	if (preg_match('/^<([\w])+[^>\/]*>$/U', $el)) 
	 	{  
			// opening tag, increase indent  
			$pretty[] = str_repeat(' ', $indent) . $el;  
			$indent += $level;  
		} 
		else 
		{  
			if (preg_match('/^<\/.+>$/', $el)) 
			{              
      	$indent -= $level;  // closing tag, decrease indent  
      }  
	    if ($indent < 0) 
	    {  
	      $indent += $level;  
	    }  
      $pretty[] = str_repeat(' ', $indent) . $el;  
		}
	}
    return implode("\n", $pretty);
}

if(!function_exists('json_encode'))
{
    require_once('JSON.php');
    $GLOBALS['JSON_OBJECT'] = new Services_JSON();
    function json_encode($value)
    {
        return $GLOBALS['JSON_OBJECT']->encode($value); 
    }
		function json_decode($value)
    {
        return $GLOBALS['JSON_OBJECT']->decode($value); 
    }
}

?>
