<?php

require_once("global.php");



header("Pragma: public");

header("Expires: 0"); // set expiration time

header("Cache-Control: must-revalidate, post-check=0, pre-check=0");

header("Content-Type:application/json");



$type = $_REQUEST["Type"];

$type = strtoupper($type);

$data = array();



if ($type!=null){

	// Using XPath Parser XML

	$doc = new DOMDocument();

	$doc -> load(Common::$CONFIG_PATH);



	$xpath = new DOMXPath($doc);

	$query = "//System/BACnet/Objects/".$type."/Maximum";

	$maximum = $xpath -> query($query) -> item(0) -> nodeValue;

	$typeAlias = mixAllUpperString($type);

	

	$query = "//System/BACnetModbusMapping/".$type."/Item";

	$nodeList = $xpath -> query($query);

	$i = 0;

	foreach ($nodeList as $node)

	{

		$Identifier = $node -> getAttribute("ToKey");

		$Identifier = substr($Identifier, 0, strlen($Identifier)-13);

		$device = $node -> getAttribute("Device");

		$point = $node -> getAttribute("Point");

		$index = $node -> getAttribute("Index");

		$objName = $node -> getAttribute("ObjectName");

		$COVInc = $node -> getAttribute("COVIncrement");

		$COVPeriod = $node -> getAttribute("COVPeriod");

		$unit = $node -> getAttribute("Unit");

		$relinquish = $node -> getAttribute("Relinquish");

		if ($node -> getAttribute("Polarity") == 1)

		{

			$polarity = "yes";

		}else

		{

			$polarity = "no";

		}

			

		

		$description = $node -> getAttribute("Description");

		$data[$i] = array("Identifier" =>$Identifier,"Device" => $device, "Point"=> $point, "Index"=> $index, "ObjName"=> $objName, "COVInc" => $COVInc,

					 "COVPeriod"=>$COVPeriod, "Unit"=>$unit, "Relinquish"=> $relinquish, "Polarity"=>$polarity, "Desc"=>$description);

		++$i;

	}

}



$result = array("Mapping" => $data);

echo json_encode($result);

?>



