<?php
require_once("global.php");

header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type:application/json");

//ഫDataSize ̾ڨϥΪData byte
function GetDataSize($type)
{
	if((strcmp($type,"INT16")==0)){
		return 2;
	}else if((strcmp($type,"UINT16")==0)){
		return 2;
	}else if((strcmp($type,"INT32")==0)){
		return 4;
	}else if((strcmp($type,"UINT32")==0)){
		return 4;
	}else if((strcmp($type,"FLOAT32")==0)){
		return 4;
	}else if((strcmp($type,"DOUBLE64")==0)){
		return 8;
	}
	return 0;
}

// oindexƶq̾modubsŪm,ƥإHΤ
function GetIndexCount($typedef,$type,$count)
{
	if((strcmp($type,"COIL")==0) ||(strcmp($type,"DISCRETE INPUT")==0)) 
	{
		if((strcmp($typedef,"BIT")==0))
		{
			return $count;
		}else
		{
			$size =  intval($count/8);
			if (($count%8) !=0)
			{
				$size++;
			}

			$typdefSize = GetDataSize($typedef);

			$indexCount = intval($size/$typdefSize);
			if (($size%$typdefSize) !=0)
			{
				++$indexCount;
			}
			
			return $indexCount;
		}
	}else if((strcmp($type,"INPUT REGISTER")==0) ||(strcmp($type,"HOLDING REGISTER")==0))
	{
		if((strcmp($typedef,"BIT")==0))
		{
			return $count*16;
		}else
		{
			$size = $count*2;
			$typdefSize = GetDataSize($typedef);
			
			$indexCount = intval($size/$typdefSize);
			if (($size%$typdefSize) !=0)
			{
				++$indexCount;
			}
			return $indexCount;
		}
	}
	return 0;
}


$type = $_REQUEST["Type"];
$type = strtoupper($type);
$data = array();

if ($type!=null){
	
	$write = "";
	
	if (strpos($type, "INPUT", 0) > 0){
		$write = "FALSE";
	}else if (strpos($type, "OUTPUT", 0) > 0){
		$write = "TRUE";
	}

	// Using XPath Parser XML
	$doc = new DOMDocument();
	$doc -> load(Common::$CONFIG_PATH);
	$xpath = new DOMXPath($doc);
	
	$deviceList = $xpath -> query("//System/Modbus/Devices/Device");
	
	$i=0;
	$data = array();

  // jMثeҦDevice,CXwgQMapping٥QMappingI
	foreach ($deviceList as $deviceNode)
	{
		
		$deviceID = $deviceNode -> getAttribute("ID");
		$query = "Points/Point";
		
		if (strcmp($write,'')!=0){
			$query .= "[@Write='" .$write ."']";
		}

		$pointList = $xpath -> query($query, $deviceNode);
		
		foreach($pointList as $pointNode)
		{
			$pointID = $pointNode -> getAttribute("ID");
			$address = $pointNode -> getAttribute("Address");
			$desc = $pointNode -> getAttribute("Description");	
			$typedef = $pointNode -> getAttribute("TypeDef");
			$type = $pointNode -> getAttribute("Type");
			$count = $pointNode -> getAttribute("Count");
			$attrWrite = $pointNode -> getAttribute("Write");
			$indexLen = GetIndexCount($typedef,$type,$count);

			// ŪثewgQMappingI
			for($j = 0;$j<$indexLen;++$j)
			{
				for($k=0; $k<9; $k++)
				{
					switch ($k) {
						case 0:
							$mapType="BINARYINPUT";
							break;
						case 1:
							$mapType="BINARYOUTPUT";
							break;
						case 2:
							$mapType="ANALOGINPUT";
							break;
						case 3:
							$mapType="ANALOGOUTPUT";
							break;
						case 4:
							$mapType="BINARYVALU";
							break;
						case 5:
							$mapType="ANALOGVALUE";
							break;
						case 6:
							$mapType="MULTISTATEINPUT";
							break;
						case 7:
							$mapType="MULTISTATEOUTPUT";
							break;
						case 8:
							$mapType="MULTISTATEVALUE";
							break;
					}
					
					$mappedItemList = $xpath -> query("//System/BACnetModbusMapping/".$mapType ."/Item [@Device='" .$deviceID ."' ][@Point='" .$pointID ."'][@Index='" .$j ."']");
						
					if ($mappedItemList->length > 0)
					{
						$data[$i++] = array("Device" => $deviceID, "Point" => $pointID, "Index" => $j,"Address" => $address, 
							  "Desc" =>  $desc, "Write" => $attrWrite, "MappedType" => $mappedItemList->item(0)->getAttribute("Type"));
						break;
					}else if ($k==8){
						$data[$i++] = array("Device" => $deviceID, "Point" => $pointID, "Index" => $j,"Address" => $address, 
							  "Desc" =>  $desc, "Write" => $attrWrite, "MappedType" => "");
					}
				}
			}
		}
	}
}
//sJjson dataöǦ^
$result = array("Mapping" => $data);
echo json_encode($result);
?>

