<?php
require_once("global.php");

$objType = $_REQUEST["Type"];
if ($objType==null){
	$objType = "";
}
$objType = strtoupper($objType);

header("Pragma: public");
header("Expires: 0"); // set expiration time
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("Content-Type:text/xml");

// Using XPath Parser XML
$doc = new DOMDocument();
$doc -> load(Common::$CONFIG_PATH);

$query = "//System/BACnet/Objects/*[not(name()='Device')]";



if (strcmp($objType,'')!=0) {
	$query = "//System/BACnet/Objects/" .$objType;
}

$xpath = new DOMXPath($doc);
$typeList = $xpath -> query($query);

$newDoc = new DOMDocument("1.0", "utf-8");
$newDoc -> formatOutput = true;
$root = $newDoc -> createElement("TypeList");
$newDoc -> appendChild($root);

$nodeMapping = $xpath -> query("//System/BACnetModbusMapping") -> item(0);

foreach ($typeList as $type){
		
	$typeName = $type -> nodeName;
	$maximum = $type -> getElementsByTagName("Maximum") -> item(0) -> nodeValue;

	$root -> setAttribute("Maximum", $maximum);
	
	$nodeType = $newDoc -> createElement("Type");
	$nodeType -> setAttribute("ID", $typeName);
	$nodeType -> setAttribute("Maximum", $maximum);
	$typeName = strtoupper($typeName);
	
	/*for ($i=0; $i<$maximum; $i++){
		$query = "//".$typeName."/Item[@Type='".$typeName."']";
		$itemList = $xpath -> query($query, $nodeMapping);
		
		foreach ($itemList as $item){
			
			$device = $item -> getAttribute("Device");
			$point = $item -> getAttribute("Point");
			$index = $item -> getAttribute("Index");
			$toKey = $item -> getAttribute("ToKey");

			$nodePoint = $newDoc -> createElement("Point");
			$nodePoint -> setAttribute("Device", $device);
			$nodePoint -> setAttribute("Point", $point);
			$nodePoint -> setAttribute("Index", $index);

			$nodePoint -> setAttribute("BACnetKey", $toKey);
			
			$nodeType -> appendChild($nodePoint);
		}
	}*/
	
	$root -> appendChild($nodeType);
}

echo $newDoc -> saveXML();

?>

