<?php

require_once("global.php");



header("Content-Type:application/json");



$errCode = 0;

$errText = "";



$type = $_REQUEST["Type_mapping"];

$jsonData = $_REQUEST["Data_mapping"];

$arr = (array) json_decode(stripslashes($jsonData));

$doc = new DOMDocument("1.0", "utf-8");

$doc -> load(Common::$CONFIG_PATH);

$doc -> formatOutput = true;

$doc -> preserveWhitespace = false;



$xpath = new DOMXPath($doc);



$data = array();



$node = $xpath -> query("//System/BACnetModbusMapping/" .strtoupper($type) ."") -> item(0);



$existItemList = $xpath -> query("Item[@Type='" .strtoupper($type) ."']", $node);



foreach ($existItemList as $existItem){

	$node -> removeChild($existItem);

}



foreach ($arr as $data) {



	$data = (array) $data;

	$identifier = $data["Identifier"];

	$device = $data["Device"];

	$point = $data["Point"];

	$index = $data["Index"];

	$toKey = $identifier."present-value";

	$objName = $data["ObjName"];

	$COVInc = $data["COVInc"];

	$COVPeriod = $data["COVPeriod"];

	$unit = $data["Unit"];

	$relinquish = $data["Relinquish"];

	$polarity = $data["Polarity"];

	$description = $data["Desc"];

	

	$itemNode = $doc -> createElement("Item");

	$itemNode -> setAttribute("Type", strtoupper($type));

	$itemNode -> setAttribute("Device", $device);

	$itemNode -> setAttribute("Point", $point);

	$itemNode -> setAttribute("Index", $index);

	$itemNode -> setAttribute("ToKey", $toKey);

	$itemNode -> setAttribute("ObjectName", $objName);

	$itemNode -> setAttribute("COVIncrement", $COVInc);

	$itemNode -> setAttribute("COVPeriod", $COVPeriod);

	$itemNode -> setAttribute("Unit", $unit);

	$itemNode -> setAttribute("Relinquish", $relinquish);

	if ($polarity == "yes")

	{

		$itemNode -> setAttribute("Polarity", "1");

	}else

	{

		$itemNode -> setAttribute("Polarity", "0");

	}

	$itemNode -> setAttribute("Description", $description);



	$node -> appendChild($itemNode);

}

$insNode = $xpath -> query("//System/BACnet/Objects/".$type."/InstanceNumber") -> item(0);

$insNode -> nodeValue = sizeof($arr);



$xml = formatXmlString($doc -> saveXML());



$h = fopen(Common::$CONFIG_PATH, 'w');

fwrite($h, $xml);

fclose($h);



$url = "main.php?Page=mapping"; 

$result = array("errCode" => $errCode, "errText" => $errText, "url" => $url);

echo json_encode($result);

?>

